net.sf.jasperreports.components.barcode4j

## Interface BarcodeVisitor

- All Known Implementing Classes:
    AbstractBarcodeEvaluator, BarcodeDesignEvaluator, BarcodeEvaluator, BarcodeExpressionCollector, BarcodeVerifier, BarcodeXmlWriter, CompiledBarcodeFactory, UniformBarcodeVisitor

      public interface BarcodeVisitor

  Version:
    $Id: BarcodeVisitor.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visitCodabar(CodabarComponent codabar)`
    `void` | `visitCode128(Code128Component code128)`
    `void` | `visitCode39(Code39Component code39)`
    `void` | `visitDataMatrix(DataMatrixComponent dataMatrix)`
    `void` | `visitEAN13(EAN13Component ean13)`
    `void` | `visitEAN8(EAN8Component ean8)`
    `void` | `visitEANCode128(EAN128Component ean128)`
    `void` | `visitInterleaved2Of5(Interleaved2Of5Component interleaved2Of5)`
    `void` | `visitPDF417(PDF417Component pdf417)`
    `void` | `visitPostnet(POSTNETComponent postnet)`
    `void` | `visitRoyalMailCustomer(RoyalMailCustomerComponent royalMailCustomer)`
    `void` | `visitUPCA(UPCAComponent upcA)`
    `void` | `visitUPCE(UPCEComponent upcE)`
    `void` | `visitUSPSIntelligentMail(USPSIntelligentMailComponent intelligentMail)`

- - ### Method Detail

    - #### visitCodabar

          void visitCodabar(CodabarComponent codabar)

    - #### visitCode128

          void visitCode128(Code128Component code128)

    - #### visitEANCode128

          void visitEANCode128(EAN128Component ean128)

    - #### visitDataMatrix

          void visitDataMatrix(DataMatrixComponent dataMatrix)

    - #### visitRoyalMailCustomer

          void visitRoyalMailCustomer(RoyalMailCustomerComponent royalMailCustomer)

    - #### visitUSPSIntelligentMail

          void visitUSPSIntelligentMail(USPSIntelligentMailComponent intelligentMail)

    - #### visitCode39

          void visitCode39(Code39Component code39)

    - #### visitUPCA

          void visitUPCA(UPCAComponent upcA)

    - #### visitUPCE

          void visitUPCE(UPCEComponent upcE)

    - #### visitEAN13

          void visitEAN13(EAN13Component ean13)

    - #### visitEAN8

          void visitEAN8(EAN8Component ean8)

    - #### visitInterleaved2Of5

          void visitInterleaved2Of5(Interleaved2Of5Component interleaved2Of5)

    - #### visitPostnet

          void visitPostnet(POSTNETComponent postnet)

    - #### visitPDF417

          void visitPDF417(PDF417Component pdf417)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com